Path::IsDev::Role::Matcher::Child::BaseName::MatchRegexp(3)

NAME
Path::IsDev::Role::Matcher::Child::BaseName::MatchRegexp - Match when a path has a child file matching an expression

VERSION
version 1.001003

METHODS

  "child_basename_matchregexp"
    $class->child_basename_matchregexp( $result_object, $regexp );

Given a regexp $regexp, match if any of "$result_object->path->children" match the given regexp.

    if ( $self->child_basename_matchregexp( $result_object, qr/^Change(.*)$/i ) ) {
        # result_object->path() contains at least one child that matches the regexp
    }

PRIVATE METHODS

  "_this_child_matchregexp"
    if ( $class->_this_child_matchregexp( $result_object, $child_path, $regexp ) ) {
        ...
    }

AUTHOR
Kent Fredric <kentnl@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2017 by Kent Fredric <kentfredric@gmail.com>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.